module.exports = (dayoneMarkdown) => {
  return dayoneMarkdown
    // dayone doesn't wrap naked URLS in <>. Do that here.
    .replace(/([^\<\(])((?:gopher|gemini|http|https|ftp|sftp|spartan|titan|dayone):\/\/\S+)/g, (match, notLessThanMatch, urlMatch, offset, string, groups) => {
      const before = string.substring(0, offset)
      const after = string.substring(offset + match.length)
      const updatedUrlMatch = urlMatch.replace(/\\\./g, '.')
      return `${notLessThanMatch}<${updatedUrlMatch}>`
    })
}
